<html>
<head>
    <meta charset="utf-8">
    <title>Datenbank Datensatz löschen Sicherheitsabfrage</title>
    <link rel='stylesheet' href='khsw.css'>
</head>
<body>
<?php // ********** ab hier PHP **********
// Kopfzeile einbinden
include "khsw.php";
// ************************************************************************************************
// POST-Variablen auslesen
// ************************************************************************************************
echo "Liste aller POST-Variablen<br>";
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    foreach($_POST as $key => $value) {
        $value = trim($value);
        $value = stripslashes($value);
        $value = htmlspecialchars($value);
        $$key=$value;
        echo '$_POST["'.$key.'"]="'.$value.'"<br>';
    }
}
// ************************************************************************************************
// Verbindung zum Server aufbauen, Datenbank, Tabelle auswählen
// ************************************************************************************************
// persönliche Konfigurationsdaten einbinden
include "config.inc.php";
// Datenbanknamen und Tabelle festlegen, falls nicht per POST übergeben
if (empty($database)) $database=$username."_eurodata";
if (empty($table)) $table="mitarbeiter";
// Verbindung zum Datenbankserver definieren
$conn = new mysqli($servername, $username, $password);
// Verbindung zum Server prüfen
if ($conn->connect_error) { // Abbruch bei Fehler
  die("<p>Verbindung zum Server ".$servername." misslungen: " . $conn->connect_error."<p>\n");
}
// Zeichensatz utf-8 für die Verbindung zum Server einstellen
$conn->set_charset('utf8');
// Verbindung zur Datenbank aufbauen
$sql="USE $database";
if ($conn->query($sql) === TRUE) {
    echo "<p>Verbindung zur Datenbank $database erfolgreich.</p>\n";
} else {
    die("<p>Fehler bei der Verbindung zur Datenbank $database: " . $conn->error."</p>\n");
}
// Datensatz aus der Tabelle auslesen
$sql = "SELECT * FROM $table WHERE $where;";
echo "<p>Tabelle $table, SQL-Befehl: $sql</p>";
$result = $conn->query($sql);
// ************************************************************************************************
// Eingabemaske anzeigen
// ************************************************************************************************
    if ($result->num_rows > 0) {
        // Die Tabelle hat Inhalt: FORM und HTML-Tabelle vorbereiten
        // die form umschließt alles
        echo "<form action='delete.php' method='post'>\n";
        // In der Tabelle werden alle Eingabefelder systematisch dargestellt
        echo "<table>";
        echo "<tr><th>Eigenschaft</th><th>Wert</th></tr>\n";
        // Hier müssen die Daten des Datensatzes in Eingabefeldern dargestellt werden
        $row=$result->fetch_assoc(); // Datensatz auslesen, es ist genau einer
        foreach ($row as $key => $value) {
            echo "<tr><td>$key</td>";
            echo "<td>$value</td></tr>\n";
        }
        echo "<tr><td>&nbsp;</td><td>\n";
        echo "<input type='hidden' name='database' value='$database'>\n";
        echo "<input type='hidden' name='table'    value='$table'>\n";
        echo "<input type='hidden' name='where'    value=\"$where\">\n";
        echo "<button>Wirklich löschen</button>\n";
        echo "</td></tr></table>\n";
        echo "</form>\n";
    }
    else {
        echo "<p>Kein Datensatz vorhanden.</p>";
    }
// ************************************************************************************************
// Verbindung zum Datenbankserver schließen
$conn->close();
echo "<form action='table.php' method='post'>\n";
echo "<input type='hidden' name='database' value='$database'>\n";
echo "<input type='hidden' name='table' value='$table'>\n";
echo "<button>Tabelle anzeigen</button>\n";
echo "</form>\n";
echo "<form action='index.php' method='post'>\n";
echo "<input type='hidden' name='database' value='$database'>\n";
echo "<button>Liste der Tabellen anzeigen</button>\n";
echo "</form>\n";
?> 
</body>
</html>